#
# spec file for package libkdepim
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libkdepim
Version:        16.08.2
Release:        2.12
Summary:        Base package of kdepim
License:        GPL-2.0 and GPL-2.0+ and LGPL-2.1+
# FIXME: use correct group, see "https://en.opensuse.org/openSUSE:Package_group_guidelines"
Group:          System/Libraries
Url:            http://www.kde.org
Source0:        %{name}-%{version}.tar.xz
# It can only build on the same platforms as Qt Webengine
ExclusiveArch:  %ix86 x86_64 %arm aarch64 mips mips64
BuildRequires:  akonadi-contact-devel = %{version}
BuildRequires:  akonadi-search-devel = %{version}
BuildRequires:  akonadi-server-devel = %{version}
BuildRequires:  extra-cmake-modules
BuildRequires:  kcmutils-devel
BuildRequires:  kcodecs-devel
BuildRequires:  kcompletion-devel
BuildRequires:  kcontacts-devel
BuildRequires:  ki18n-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  kitemviews-devel
BuildRequires:  kldap-devel
BuildRequires:  kmime-devel
BuildRequires:  kwallet-devel
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5UiTools)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains the libkdepim library.

%prep
%setup -q

%build
%cmake_kf5 -d build

%make_jobs

%install
%kf5_makeinstall -C build

%package -n libKF5Libkdepim5
Summary:        libkdepim library
License:        LGPL-2.1+
Group:          System/Libraries
Requires:       %{name} >= %{version}

%description -n libKF5Libkdepim5
The libkdepim library

%post -n libKF5Libkdepim5  -p /sbin/ldconfig
%postun -n libKF5Libkdepim5 -p /sbin/ldconfig

%package devel
Summary:        Development package for libkdepim
License:        LGPL-2.1+
Group:          Development/Libraries/KDE
Requires:       libKF5Libkdepim5 = %{version}
Requires:       akonadi-server-devel
Requires:       akonadi-contact-devel

%description devel
The development package for the libkdepim libraries

%files devel
%defattr(-,root,root)
%{_includedir}/KF5/Libkdepim/
%{_includedir}/KF5/libkdepim_version.h
%{_libdir}/cmake/KF5Libkdepim/
%{_libdir}/cmake/MailTransportDBusService/
%{_libdir}/libKF5Libkdepim.so
%{_libdir}/qt5/mkspecs/modules/qt_Libkdepim.pri
%{_includedir}/KF5/libkdepim/

%files
%defattr(-,root,root)
%config %{_kf5_configdir}/libkdepim.categories
%{_kf5_plugindir}/kcm_ldap.so
%{_datadir}/dbus-1/interfaces/org.kde.addressbook.service.xml
%{_datadir}/dbus-1/interfaces/org.kde.mailtransport.service.xml
%{_datadir}/kdepimwidgets/
%{_kf5_servicesdir}/kcmldap.desktop
%{_kf5_plugindir}/designer/

%files -n libKF5Libkdepim5
%defattr(-,root,root)
%{_libdir}/libKF5Libkdepim.so.*

%changelog
* Tue Oct 11 2016 lbeltrame@kde.org
- KDE Applications 16.08.2
  https://www.kde.org/announcements/announce-applications-16.08.2.php
* Fri Sep  9 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.08.1
  * KDE Applications 16.08.1
  * https://www.kde.org/announcements/announce-applications-16.08.1.php
* Tue Aug 23 2016 fabian@ritter-vogt.de
- Build only on architectures supported by libqt5-qtwebengine
* Fri Aug 12 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.08.0
  * KDE Applications 16.08.0
  * https://www.kde.org/announcements/announce-applications-16.08.0.php
* Mon Aug  8 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.07.90
  * KDE Applications 16.07.90 (16.08-RC)
  * https://www.kde.org/announcements/announce-applications-16.07.90.php
* Sun Jul 31 2016 wbauer@tmo.at
- Update build requirements
- Add necessary requires to the devel package
* Thu Jul  7 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.3
  * KDE Applications 16.04.3
  * https://www.kde.org/announcements/announce-applications-16.04.3.php
* Fri Jun 10 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.2
  * KDE Applications 16.04.2
  * https://www.kde.org/announcements/announce-applications-16.04.2.php
* Fri May 20 2016 lbeltrame@kde.org
- Adjust version requires as per SLPP
* Fri May 20 2016 lbeltrame@kde.org
- Use correct package groups
* Sat May  7 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.1
  * KDE Applications 16.04.1
  * https://www.kde.org/announcements/announce-applications-16.04.1.php
* Sun Apr 17 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.0
  * KDE Applications 16.04.0
  * https://www.kde.org/announcements/announce-applications-16.04.0.php
* Mon Apr 11 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.03.90
  * KDE Applications 16.04.0 RC
  * https://www.kde.org/announcements/announce-applications-16.04-rc.php
